Project

General

Profile

Bug #2511

Include an optional spatial dataset package

Added by Matthew Perry almost 14 years ago. Updated over 13 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
metacat
Target version:
Start date:
08/09/2006
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
2511

Description

For users who can't rely on external WMS servers for their data, it would be nice to have some global datasets that they could store locally and use as a base map. The issue is size.. 32 MB for a world borders dataset of acceptable quality.

So we'll make this an optional data package that can be added on after the metacat install (For the CD distributiuons, we could incude it by default).

The trick will be configuring geoserver:

For the 1.7 release, we'll have to resort to an instruction set for how to edit the necessary config files. We should have the entries already constructed but commented out to make this as easy as possible.

For the 1.9 release, we should make this tightly integrated with the spatial admin page so that it is a few painless clicks. ( see bug 2180 and bug 2190 )

History

#1 Updated by Matthew Perry over 13 years ago

The high availability of WMS services precludes the need to distribute the raw geospatial datasets. For those with slow networks who can't rely on WMS, they can obtain their own base datasets and follow the instructions on adding new layers to their geoserver/mapbuilder setup.

#2 Updated by Redmine Admin about 7 years ago

Original Bugzilla ID was 2511

Also available in: Atom PDF